package com.tofly.feesapi.sms.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.feesapi.sms.entity.SmsMessage;
import com.tofly.feesapi.sms.entity.dto.SmsMessageDto;
import com.tofly.feesapi.sms.entity.dto.SmsMessageYhxxDto;
import com.tofly.feesapi.sms.entity.vo.SmsMessageVo;
import com.tofly.feesapi.sms.entity.vo.SmsMessageYhxxVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface SmsMessageMapper extends BaseMapper<SmsMessage> {

    Page<SmsMessageVo> getPage(Page page, @Param("dto") SmsMessageDto smsMessageDto);

    List<SmsMessageYhxxVo> getSmsMessageYhxxVoList(@Param("smsMessageYhxxDto") SmsMessageYhxxDto smsMessageYhxxDto);

    List<SmsMessageYhxxVo> getSmsMessageYhqfxxVoList(@Param("smsMessageYhxxDto") SmsMessageYhxxDto smsMessageYhxxDto);

    List<SmsMessageYhxxVo> getSmsMessageyffVo(@Param("smsMessageYhxxDto") SmsMessageYhxxDto smsMessageYhxxDto);

    Page<SmsMessageYhxxVo> getSmsMessageYhxxVoList(Page page, @Param("smsMessageYhxxDto") SmsMessageYhxxDto smsMessageYhxxDto);

    Page<SmsMessageYhxxVo> getSmsMessageYhqfxxVoList(Page page, @Param("smsMessageYhxxDto") SmsMessageYhxxDto smsMessageYhxxDto);

    Page<SmsMessageYhxxVo> getSmsMessageyffVo(Page page, @Param("smsMessageYhxxDto") SmsMessageYhxxDto smsMessageYhxxDto);

}
